#!/usr/bin/perl 

use strict;
use warnings;

use IO::File;

if (<*.BAK>) {
	die "Cowardly refusing to run while .BAK files still around";
}

my $includes = qq{<script type="text/javascript" src="jquery.js"></script>\n<script type="text/javascript" src="menu.js"></script>};

for my $filename (<*.html>) {
	my $fh = new IO::File($filename, 'r') or die "Unable to open $filename for reading: $!";
	local( $/ );
	my $file = <$fh>;
	$fh->close or die "Unable to close $filename: $!";

	$file =~ s/<BODY/$includes\n$&/g;

	rename($filename, "$filename.BAK") or die "Unable to backup $filename: $!";

	$fh = new IO::File($filename, 'w') or die "Unable to open $filename for writing: $!";
	print $fh $file;
	$fh->close or die "Unable to close $filename: $!";
}

exit;
