<div class="contents"><div id="menu-section-links"><a href="#menu-preface">Preface</a><a href="#menu-tutorial">I. Tutorial</a><a href="#menu-sql">II. The SQL Language</a><a href="#menu-admin">III. Server Administration</a><a href="#menu-client-interfaces">IV. Client Interfaces</a><a href="#menu-server-programming">V. Server Programming</a><a href="#menu-reference">VI. Reference</a><a href="#menu-internals">VII. Internals</a><a href="#menu-appendixes">VIII. Appendixes</a><a href="#menu-biblio">Bibliography</a><a href="#menu-bookindex">Index</a></div><div id="menu-chapter-links"><div id="menu-preface" class="menusection"><h2><a href="preface.html">Preface</a></h2><a href="intro-whatis.html">What is PostgreSQL?</a><a href="history.html">A Brief History of PostgreSQL</a><a href="notation.html">Conventions</a><a href="resources.html">Further Information</a><a href="bug-reporting.html">Bug Reporting Guidelines</a></div><div id="menu-tutorial" class="menusection"><h2><a href="tutorial.html">I. Tutorial</a></h2><a href="tutorial-start.html">1. Getting Started</a><a href="tutorial-sql.html">2. The SQL Language</a><a href="tutorial-advanced.html">3. Advanced Features</a></div><div id="menu-sql" class="menusection"><h2><a href="sql.html">II. The SQL Language</a></h2><a href="sql-syntax.html">4. SQL Syntax</a><a href="ddl.html">5. Data Definition</a><a href="dml.html">6. Data Manipulation</a><a href="queries.html">7. Queries</a><a href="datatype.html">8. Data Types</a><a href="functions.html">9. Functions and Operators</a><a href="typeconv.html">10. Type Conversion</a><a href="indexes.html">11. Indexes</a><a href="textsearch.html">12. Full Text Search</a><a href="mvcc.html">13. Concurrency Control</a><a href="performance-tips.html">14. Performance Tips</a></div><div id="menu-admin" class="menusection"><h2><a href="admin.html">III. Server Administration</a></h2><a href="installation.html">15. Installation Instructions</a><a href="install-win32.html">16. Installation on Windows</a><a href="runtime.html">17. Operating System Environment</a><a href="runtime-config.html">18. Server Configuration</a><a href="user-manag.html">19. Database Roles and Privileges</a><a href="managing-databases.html">20. Managing Databases</a><a href="client-authentication.html">21. Client Authentication</a><a href="charset.html">22. Localization</a><a href="maintenance.html">23. Routine Database Maintenance Tasks</a><a href="backup.html">24. Backup and Restore</a><a href="high-availability.html">25. High Availability, Load Balancing, and Replication</a><a href="monitoring.html">26. Monitoring Database Activity</a><a href="diskusage.html">27. Monitoring Disk Usage</a><a href="wal.html">28. Reliability and the Write-Ahead Log</a><a href="regress.html">29. Regression Tests</a></div><div id="menu-client-interfaces" class="menusection"><h2><a href="client-interfaces.html">IV. Client Interfaces</a></h2><a href="libpq.html">30. libpq - C Library</a><a href="largeobjects.html">31. Large Objects</a><a href="ecpg.html">32. ECPG - Embedded SQL in C</a><a href="information-schema.html">33. The Information Schema</a></div><div id="menu-server-programming" class="menusection"><h2><a href="server-programming.html">V. Server Programming</a></h2><a href="extend.html">34. Extending SQL</a><a href="triggers.html">35. Triggers</a><a href="rules.html">36. The Rule System</a><a href="xplang.html">37. Procedural Languages</a><a href="plpgsql.html">38. PL/pgSQL - SQL Procedural Language</a><a href="pltcl.html">39. PL/Tcl - Tcl Procedural Language</a><a href="plperl.html">40. PL/Perl - Perl Procedural Language</a><a href="plpython.html">41. PL/Python - Python Procedural Language</a><a href="spi.html">42. Server Programming Interface</a></div><div id="menu-reference" class="menusection"><h2><a href="reference.html">VI. Reference</a></h2><a href="sql-commands.html">I. SQL Commands</a><a href="reference-client.html">II. PostgreSQL Client Applications</a><a href="reference-server.html">III. PostgreSQL Server Applications</a></div><div id="menu-internals" class="menusection"><h2><a href="internals.html">VII. Internals</a></h2><a href="overview.html">43. Overview of PostgreSQL Internals</a><a href="catalogs.html">44. System Catalogs</a><a href="protocol.html">45. Frontend/Backend Protocol</a><a href="source.html">46. PostgreSQL Coding Conventions</a><a href="nls.html">47. Native Language Support</a><a href="plhandler.html">48. Writing A Procedural Language Handler</a><a href="geqo.html">49. Genetic Query Optimizer</a><a href="indexam.html">50. Index Access Method Interface Definition</a><a href="gist.html">51. GiST Indexes</a><a href="gin.html">52. GIN Indexes</a><a href="storage.html">53. Database Physical Storage</a><a href="bki.html">54. BKI Backend Interface</a><a href="planner-stats-details.html">55. How the Planner Uses Statistics</a></div><div id="menu-appendixes" class="menusection"><h2><a href="appendixes.html">VIII. Appendixes</a></h2><a href="errcodes-appendix.html">A. PostgreSQL Error Codes</a><a href="datetime-appendix.html">B. Date/Time Support</a><a href="sql-keywords-appendix.html">C. SQL Key Words</a><a href="features.html">D. SQL Conformance</a><a href="release.html">E. Release Notes</a><a href="contrib.html">F. Additional Supplied Modules</a><a href="external-projects.html">G. External Projects</a><a href="cvs.html">H. The CVS Repository</a><a href="docguide.html">I. Documentation</a><a href="acronyms.html">J. Acronyms</a></div><div id="menu-biblio" class="menusection"><h2><a href="biblio.html">Bibliography</a></h2></div><div id="menu-bookindex" class="menusection"><h2><a href="bookindex.html">Index</a></h2></div></div></div>
